OpenGL-2.2.3.1: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.PixelRectangles.PixelTransfer

Description

This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.

# Documentation

data PixelTransferStage

Constructors

PreConvolution |
PostConvolution |
PostColorMatrix |

Instances

Eq PixelTransferStage |
Ord PixelTransferStage |
Show PixelTransferStage |

mapColor :: StateVar Capability

mapStencil :: StateVar Capability

indexShift :: StateVar GLint

indexOffset :: StateVar GLint

depthScale :: StateVar GLfloat

depthBias :: StateVar GLfloat

rgbaScale :: PixelTransferStage -> StateVar (Color4 GLfloat)

rgbaBias :: PixelTransferStage -> StateVar (Color4 GLfloat)